#!/usr/bin/env python3

# -*- coding: UTF-8 -*-

"""
Description: this file contains a dictionary that allows to \
configure the logging module of python
"""

LOGGING_CONFIG = {
    'version': 1,
    'disable_existing_loggers': True,
    'formatters': {
        'complex': {
            'format': '%(filename)s:%(lineno)s:%(funcName)s():%(asctime)s - %('
                      'levelname)s - %(message)s'
        },
        "simple": {
           'format': '%(message)s'
        }
    },
    'handlers': {
        'default': {
            'level': 'NOTSET',
            'formatter': 'simple',
            'class': 'logging.StreamHandler',
            'stream': 'ext://sys.stdout',  # Default is stderr
        },
        'file': {
            'level': 'NOTSET',
            'formatter': 'complex',
            'class': 'logging.FileHandler',
            'filename': 'test.log',
            'mode': 'w',
        },
    },
    'loggers': {
        '': {  # root logger
            'handlers': ['default', "file"],
            'level': 'NOTSET',
            'propagate': True
        },
    }
}   # type: Dict[str, Any]
